#include <iomanip>
#include <iostream>
#include <fstream>
#include <string>
#include <sstream>
#include <cmath>
#include <cstdlib>

#include "math/matrix.hh"

using namespace std;



namespace HELL {

  extern dcomplex gamma0sing(dcomplex N, double nf);
  extern dcomplex gamma1sing(dcomplex N, double nf);
  extern dcomplex fmom(dcomplex N);
  extern double beta0(int nf);
  extern dcomplex DeltaGammaResNLOqg(dcomplex Delta_gammaLO_BatNLO, dcomplex Delta_gammaLOdot_BatNLO, dcomplex N, double as, double nf, dcomplex Delta_gammaNLO=0);
  extern dcomplex DeltaUqg          (dcomplex Delta_gammaLO_BatNLO, dcomplex Delta_gammaLOdot_BatNLO, dcomplex N, double as, double nf, dcomplex Delta_gammaNLO=0);
  extern dcomplex DeltaGammaPlusUqg (dcomplex Delta_gammaLO_BatNLO, dcomplex Delta_gammaLOdot_BatNLO, dcomplex N, double as, double nf, dcomplex Delta_gammaNLO=0);
  extern dcomplex oldDeltaCLRes     (dcomplex Delta_gammaLO_BatNLO, dcomplex Delta_gammaLOdot_BatNLO, dcomplex N, double as, double nf, dcomplex Delta_gammaNLO=0);
  extern dcomplex oldDeltaC2Res     (dcomplex Delta_gammaLO_BatNLO, dcomplex Delta_gammaLOdot_BatNLO, dcomplex N, double as, double nf, dcomplex Delta_gammaNLO=0);



};

